- Main Page
- Modules
- Namespaces
- Classes
- Files

Functions

# GLM_GTX_matrix_query: Query matrix properties

GTX Extensions (Experimental)

Query to evaluate matrix properties. More...

## Functions
template<typename genType >
bool | isIdentity (const genType &m, const typename genType::value_type epsilon=std::numeric_limits< typename genType::value_type >::epsilon())
| Return if a matrix an identity matrix.
template<typename T >
bool | isNormalized (const detail::tmat2x2< T > &m, const T epsilon=std::numeric_limits< T >::epsilon())
| Return if a matrix a normalized matrix.
template<typename T >
bool | isNormalized (const detail::tmat4x4< T > &m, const T epsilon=std::numeric_limits< T >::epsilon())
| Return if a matrix a normalized matrix.
template<typename T >
bool | isNormalized (const detail::tmat3x3< T > &m, const T epsilon=std::numeric_limits< T >::epsilon())
| Return if a matrix a normalized matrix.
template<typename T >
bool | isNull (const detail::tmat2x2< T > &m, const T epsilon=std::numeric_limits< T >::epsilon())
| Return if a matrix a null matrix.
template<typename T >
bool | isNull (const detail::tmat3x3< T > &m, const T epsilon=std::numeric_limits< T >::epsilon())
| Return if a matrix a null matrix.
template<typename T >
bool | isNull (const detail::tmat4x4< T > &m, const T epsilon=std::numeric_limits< T >::epsilon())
| Return if a matrix a null matrix.
template<typename genType >
bool | isOrthogonal (const genType &m, const typename genType::value_type epsilon=std::numeric_limits< typename genType::value_type >::epsilon())
| Return if a matrix an orthonormalized matrix.

## Detailed Description

Query to evaluate matrix properties.

<glm/gtx/matrix_query.hpp> need to be included to use these functionalities.

## Function Documentation

bool glm::gtx::matrix_query::isIdentity | ( | const genType & | m,
|  | const typename genType::value_type | epsilon = `std::numeric_limits< typename genType::value_type >::epsilon()`
| ) |  |

Return if a matrix an identity matrix.

From GLM_GTX_matrix_query extension.

bool glm::gtx::matrix_query::isNormalized | ( | const detail::tmat2x2< T > & | m,
|  | const T | epsilon = `std::numeric_limits< T >::epsilon()`
| ) |  |

Return if a matrix a normalized matrix.

From GLM_GTX_matrix_query extension.

bool glm::gtx::matrix_query::isNormalized | ( | const detail::tmat4x4< T > & | m,
|  | const T | epsilon = `std::numeric_limits< T >::epsilon()`
| ) |  |

Return if a matrix a normalized matrix.

From GLM_GTX_matrix_query extension.

bool glm::gtx::matrix_query::isNormalized | ( | const detail::tmat3x3< T > & | m,
|  | const T | epsilon = `std::numeric_limits< T >::epsilon()`
| ) |  |

Return if a matrix a normalized matrix.

From GLM_GTX_matrix_query extension.

bool glm::gtx::matrix_query::isNull | ( | const detail::tmat2x2< T > & | m,
|  | const T | epsilon = `std::numeric_limits< T >::epsilon()`
| ) |  |

Return if a matrix a null matrix.

From GLM_GTX_matrix_query extension.

bool glm::gtx::matrix_query::isNull | ( | const detail::tmat3x3< T > & | m,
|  | const T | epsilon = `std::numeric_limits< T >::epsilon()`
| ) |  |

Return if a matrix a null matrix.

From GLM_GTX_matrix_query extension.

bool glm::gtx::matrix_query::isNull | ( | const detail::tmat4x4< T > & | m,
|  | const T | epsilon = `std::numeric_limits< T >::epsilon()`
| ) |  |

Return if a matrix a null matrix.

From GLM_GTX_matrix_query extension.

bool glm::gtx::matrix_query::isOrthogonal | ( | const genType & | m,
|  | const typename genType::value_type | epsilon = `std::numeric_limits< typename genType::value_type >::epsilon()`
| ) |  |

Return if a matrix an orthonormalized matrix.

From GLM_GTX_matrix_query extension.